Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 154285 - Nautilus ignores focus when pressing CTRL-A
Summary: Nautilus ignores focus when pressing CTRL-A
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: nautilus
Version: 3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Alexander Larsson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-09 00:44 UTC by Stephen Warren
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version: nautilus-2.20.0-6.fc8
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-11-11 22:17:33 UTC


Attachments (Terms of Use)

Description Stephen Warren 2005-04-09 00:44:29 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050323 Firefox/1.0.2 Fedora/1.0.2-1.3.1

Description of problem:
CTRL-A is supposed to select everything. What "everything" is should follow the focus. However, it doesn't work in the "Location:" text entry area at least.


Version-Release number of selected component (if applicable):
nautilus-2.8.1-4 rpm

How reproducible:
Always

Steps to Reproduce:
1. Log in with Gnome desktop
2. Double-click "Computer: icon
3. Wait for Nautilus window to appear
4. Click in white text-entry box to the right of the text "Location:" near the top of the Nautilus window. Notice that focus/caret moves into this text box.
5. Press CTRL-A, in an attempt to select the text in the "Location" text-entry box.
  

Actual Results:  All the icons in the main pane of the Nautilus window were selected.

Expected Results:  The text in the "Location" text entry box should have been selected, so that typing on the keyboard would replace that text.

Additional info:

Comment 1 Matthew Miller 2006-07-10 23:00:53 UTC
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!


Comment 2 Stephen Warren 2007-11-11 22:17:33 UTC
Verified fixed in F8.



Note You need to log in before you can comment on or make changes to this bug.